Skip to navigation

Get lists in a folder

View as Markdown
Ongoing changes for this endpoint. We’re dropping support for the response attributes totalSubscribers and totalBlacklisted. These are non breaking changes. The default value for the attributes will be 0.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

OR
AuthorizationBearer

OAuth 2.0 client_credentials (machine-to-machine) grant. Exchange your app’s client_id/client_secret for a short-lived Bearer token.

Path parameters

folderIdlongRequired
Id of the folder

Query parameters

limitlongOptional0-50Defaults to 10
Number of documents per page
offsetlongOptionalDefaults to 0
Index of the first document of the page
sortenumOptionalDefaults to desc

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Allowed values:

Response

Folder's Lists details
countlongOptional
Number of lists in the folder
listslist of objectsOptional

Errors

400
Bad Request Error
404
Not Found Error